@charset "UTF-8";


/* ======================================= global ======================================= */

:root {
    /* https://coolors.co/palettes/trending https://colorhunt.co/ https://colorkit.co/palettes/
        https://www.color-name.com/ Modifify theme-color on index:head */

    /* colores neutros: (estructura y descanso visual: 60%)
        Fondo principal, Superficies grandes, Inputs/cards, Divisores suaves*/
    --text: #080808;
    --background: #f8f8f8;
    --neutral: #BFA4A4;
    /* colores primario y secundario (jerarquía y separación 30%)
        Botones, Navegación, Componentes UI, Bloques destacados
        primario manda 20-25%, secundario apoya 5-10%)
    */
    --primary: #3F88C5;
    --secondary: #123175;
    /* color contraste y acento (puntos de atención, acción y foco 10%)
        CTA críticos, Hover llamativo, Estados activos, Alertas suaves, Elementos relevantes */
    --contrast: #B1B695;
    --highlight: #6D1A36;

    /* Effects */
    --overlay: rgba(16, 16, 16, 0.875);
    --hardshadow: 0 var(--space-small) var(--space-medium) rgba(0, 0, 0, 0.75);
    --softshadow: 0 var(--space-nano) var(--space-small) rgba(16, 16, 16, 0.5);
    --lightshadow: 0 var(--space-small) var(--space-medium) rgba(255, 255, 255, 0.75);
    --brightshadow: 0 var(--space-nano) var(--space-small) rgba(240, 240, 240, 0.5);
    --insideshadow: inset 1px 1px var(--space-xnano) var(--color-gray),
        inset -1px -1px var(--space-xnano) var(--color-lightgray),
        1px 1px var(--space-xnano) var(--color-gray),
        -1px -1px var(--space-xnano) var(--color-lightgray);
}

/* ------------------------------------ [ Configuración general
    0.125em	(2px)       0.25em	(4px)       0.375em	(6px)       0.625em	(10px)
    1.00em	(16px)      1.625em	(26px)      2.625em	(42px)      4.35em	(70px)
    -------------
    < 768 (mobile, 1/2 columns)               768 - 1024 (tablet, 2/3 columns)
    1024 - 1440 (desktop, 3/4 columns)        1440 <= (widescreen, 4/6 columns)
    */

body {
    font-family: 'Lato', Arial, sans-serif;
    font-weight: var(--weight-normal);
    color: var(--text);
    background-color: var(--background);
    font-size: var(--font-base);
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: 'Manrope', Helvetica, sans-serif;
    color: var(--color-black);
    font-weight: var(--weight-bold);
    line-height: 1.25;
}

a {
    font-weight: var(--weight-medium);
}

a:hover {
    color: var(--highlight);
}

.border-small,
.border-medium,
.border,
.border-large,
.border-top,
.border-left,
.border-bottom,
.border-right {
    border-color: var(--secondary);
}

.row-pad>.col {
    padding: var(--space-large);
}

.bkg-rojo {
    background-color: #E03030;
}

.bkg-coral {
    background-color: #E05060;
}

.bkg-naranja {
    background-color: #E07020;
}

.bkg-ambar {
    background-color: #E0A020;
}

.bkg-amarillo {
    background-color: #E0D020;
}

.bkg-lima {
    background-color: #A0D020;
}

.bkg-verde {
    background-color: #30C040;
}

.bkg-esmeralda {
    background-color: #20B070;
}

.bkg-turquesa {
    background-color: #20B0A0;
}

.bkg-azul {
    background-color: #3060E0;
}

.bkg-violeta {
    background-color: #7030D0;
}

.bkg-nagenta {
    background-color: #D030B0;
}

.bkg-white {
    background-color: var(--color-white);
}

.bkg-primary {
    background-color: var(--primary);
}

.bkg-secondary {
    background-color: var(--secondary);
}

.bkg-neutral {
    background-color: var(--neutral);
}

.row-pad>col {
    padding: var(--space-large);
}

/* ======================================= content ======================================= */

button {
    font-weight: var(--weight-medium);
}

.icon {
    height: var(--font-wide);
}

.mini_icon {
    height: var(--font-large);
}

button.cta {
    background-color: var(--highlight);
    color: var(--color-white);
    font-size: var(--font-base);
    border: 1px var(--color-lightgray) solid;
    transition: .3s ease;
    padding: var(--space-small) var(--space-large);
    border-radius: var(--space-medium);
    box-shadow: var(--softshadow), 0 0 var(--space-xnano) var(--space-xnano) var(--darkgray);
}

button.cta:hover {
    background-color: var(--highlight);
    border-radius: var(--space-medium);
    border: 1px var(--color-darkwhite) solid;
}

section.content {
    padding: var(--space-broad) 0;
}

.infocard .concept_icon,
.vinfocard .concept_icon {
    height: var(--space-wide);
    width: var(--space-wide);
    padding: var(--space-medium);
    border-radius: var(--space-medium);
    background-color: #193c4a;
    filter: opacity(50%)
}

.infocard:hover .concept_icon,
.vinfocard:hover .concept_icon {
    background-color: var(--primary);
    filter: opacity(100%);
}

.infocard h3 {
    margin-top: 0;
    margin-bottom: var(--space-small);
}

.tag {
    background-color: var(--color-darkwhite);
    color: var(--darkgray);
    font-size: var(--font-medium);
    padding: var(--space-tiny) var(--space-medium);
    margin-top: var(--space-large);
    border-radius: var(--space-small);
}

@media (min-width:768px) {
    .square-height-rowmgn {
        min-height: 43.4svw;
    }
}


/* --------------------------------------- init */

#init-hero {
    position: relative;
    width: 100%;
    height: 100svh;
    overflow: hidden;
}

#init-hero video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

#init-hero .hero-content {
    position: absolute;
    top: 60%;
    left: 40%;
    transform: translate(-50%, -50%);
    color: var(--color-darkwhite);
    font-size: var(--font-base);
    z-index: 2;
    /*text-shadow: 0 4px 15px rgba(0, 0, 0, 0.7);*/
}

/* .overlay, .omg y .subh1 deben coordinarse para hacer el texto visible

#init-hero .overlay {
    position: absolute;
    inset: 0;background: rgba(255, 255, 255, 0.35);
    z-index: 1;
} */

#init-hero .hero-content {
    padding-top: var(--space-large);
}

#init-hero h1 {
    color: var(--primary);
    text-shadow: var(--lightshadow);
}

#init-hero .subh1 {
    color: var(--secondary);
}

#init-hero a {
    font-size: var(--font-base);
    margin: var(--space-large) auto;
    z-index: 1;
}

#init-hero .omg {
    display: inline-block;
    background-image: linear-gradient(60deg,
            var(--primary),
            var(--secondary),
            var(--primary));
    background-size: 200% 100%;
    background-position: 0% center;
    color: transparent;
    -webkit-text-fill-color: transparent;
    background-clip: text;
    -webkit-background-clip: text;
    transition: background-position 1s cubic-bezier(.4, 0, .2, 1);
}

#init-hero:hover .omg {
    background-position: 100% 0%;
}

#init-pain .cell,
#init-value .cell {
    height: 70vh;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    border-radius: var(--space-small);
    padding: var(--space-large);
    font-size: larger;
}

#init-pain .cell h3,
#init-value .cell h3 {
    color: var(--color-white);
    text-align: center;
    text-shadow: var(--hardshadow);
}

#init-pain p,
#init-value p {
    color: var(--color-white);
    display: none;
    transition: 1.3s ease;
}

#pain_1 {
    background-image: linear-gradient(rgba(0, 0, 0, 0.125), rgba(0, 0, 0, 0.25)),
        url("/img/content/limitado_0.jpg");
}

#pain_2 {
    background-image: linear-gradient(rgba(0, 0, 0, 0.125), rgba(0, 0, 0, 0.25)),
        url("/img/content/incompatible.jpg");
}

#pain_3 {
    background-image: linear-gradient(rgba(0, 0, 0, 0.125), rgba(0, 0, 0, 0.25)),
        url("/img/content/inescalable.jpg");
}

#pain_1:hover {
    background-image: linear-gradient(rgba(31, 68, 98, 0.5), rgba(31, 68, 98, 0.75)),
        url("/img/content/limitado_0.jpg");
}

#pain_2:hover {
    background-image: linear-gradient(rgba(31, 68, 98, 0.5), rgba(31, 68, 98, 0.75)),
        url("/img/content/incompatible.jpg");
}

#pain_3:hover {
    background-image: linear-gradient(rgba(31, 68, 98, 0.5), rgba(31, 68, 98, 0.75)),
        url("/img/content/inescalable.jpg");
}

#value_1 {
    background-image: linear-gradient(rgba(0, 0, 0, 0.125), rgba(0, 0, 0, 0.25)),
        url("/img/content/alamedida.jpg");
}

#value_2 {
    background-image: linear-gradient(rgba(0, 0, 0, 0.125), rgba(0, 0, 0, 0.25)),
        url("/img/content/orquesta.jpg");
}

#value_3 {
    background-image: linear-gradient(rgba(0, 0, 0, 0.125), rgba(0, 0, 0, 0.25)),
        url("/img/content/ensamble.jpg");
}

#value_4 {
    background-image: linear-gradient(rgba(0, 0, 0, 0.125), rgba(0, 0, 0, 0.25)),
        url("/img/content/diagnostico.jpg");
}

#value_5 {
    background-image: linear-gradient(rgba(0, 0, 0, 0.125), rgba(0, 0, 0, 0.25)),
        url("/img/content/lego.jpg");
}

#value_6 {
    background-image: linear-gradient(rgba(0, 0, 0, 0.125), rgba(0, 0, 0, 0.25)),
        url("/img/content/copiloto.jpg");
}

#value_1:hover {
    background-image: linear-gradient(rgba(12, 34, 81, 0.5), rgba(12, 34, 81, 0.75)),
        url("/img/content/alamedida.jpg");
}

#value_2:hover {
    background-image: linear-gradient(rgba(12, 34, 81, 0.5), rgba(12, 34, 81, 0.75)),
        url("/img/content/orquesta.jpg");
}

#value_3:hover {
    background-image: linear-gradient(rgba(12, 34, 81, 0.5), rgba(12, 34, 81, 0.75)),
        url("/img/content/ensamble.jpg");
}

#value_4:hover {
    background-image: linear-gradient(rgba(12, 34, 81, 0.5), rgba(12, 34, 81, 0.75)),
        url("/img/content/diagnostico.jpg");
}

#value_5:hover {
    background-image: linear-gradient(rgba(12, 34, 81, 0.5), rgba(12, 34, 81, 0.75)),
        url("/img/content/lego.jpg");
}

#value_6:hover {
    background-image: linear-gradient(rgba(12, 34, 81, 0.5), rgba(12, 34, 81, 0.75)),
        url("/img/content/copiloto.jpg");
}

#init-trust {
    background-color: var(--secondary);
}

#init-trust h2 {
    color: var(--color-white);
}

#init-trust .cell {
    vertical-align: middle;
    text-align: center;
}

.solution-cell {
    position: relative;
    overflow: hidden;
    aspect-ratio: 3/4;
    cursor: pointer;
}

.solution-cell::before {
    content: "";
    position: absolute;
    inset: 0;
    background: linear-gradient(to top,
            rgba(0, 0, 0, 0.24) 0%,
            rgba(0, 0, 0, 0.14) 40%,
            rgba(0, 0, 0, 0.1) 70%);
    z-index: 10;
}

.solution-cell:hover::before {
    background: linear-gradient(to top,
            rgba(0, 0, 0, 0.62) 0%,
            rgba(0, 0, 0, 0.38) 40%,
            rgba(0, 0, 0, 0.24) 70%);
}

.solution-media {
    position: absolute;
    inset: 0;
}

.solution-media video {
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 0;
}

.solution-header {
    position: absolute;
    top: var(--space-large);
    left: 0;
    width: 100%;
    text-align: center;
    z-index: 20;
}

.solution-header h3 {
    color: #FFF;
}

.solution-cell .solution-content {
    position: absolute;
    top: var(--space-wide);
    padding: var(--space-large);
    font-size: larger;
    z-index: 20;
}

.solution-cell .solution-content {
    display: none;
}

.solution-cell:hover .solution-content {
    display: block;
}

.solution-cell:hover .solution-content p {
    color: var(--color-white);
}

.solution-cell:hover video {
    transform: scale(1.3);
    transition: transform 3.0s ease;
}

#init-close div.row-mgn {
    background-color: var(--primary);
    color: var(--background)
}

#init-close h2 {
    color: var(--color-white);
}


/* --------------------------------------- solutions */

#services-hero {
    position: relative;
    background-repeat: no-repeat;
    background-position: center center;
    background-attachment: fixed;
    background-size: cover;
    width: 100%;
    height: 80svh;
    overflow: hidden;
    background-image: url('/img/content/kanban.jpg');
}

#services-hero .hero-content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: var(--color-darkwhite);
    z-index: 2;
}

#services-hero .hero-content h1 {
    color: var(--color-white);
}

#services-hero .hero-content .subh1 {
    color: var(--color-darkwhite);
}

#solution1,
#web-hero,
#solution2,
#app-hero,
#solution3,
#iot-hero,
#aboutus-hero,
#contact-hero {
    position: relative;
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
}

#solution1,
#web-hero {
    background-image: url('/img/content/web-image.jpg');
}

#solution2,
#app-hero {
    background-image: url('/img/content/app-image.jpg');
}

#solution3,
#iot-hero {
    background-image: url('/img/content/iot-image.jpg');
}

.solution-text .tag {
    bottom: 0;
    text-align: right;
}

#solution1-hero h1 {
    color: var(--color-white);
}

/* --------------------------------------- web, app, iot */

.page-heroimg {
    height: 68svh;
}

#web-hero h1,
#app-hero h1,
#iot-hero h1,
#aboutus-hero h1,
#contact-hero h1 {
    color: var(--color-white);
    text-shadow: var(--softshadow);
}

#web-hero p,
#app-hero p,
#iot-hero p,
#aboutus-hero p,
#contact-hero p {
    color: var(--color-darkwhite);
    text-shadow: var(--lightshadow);
}

#web-hero .hero-content,
#app-hero .hero-content,
#iot-hero .hero-content,
#aboutus-hero .hero-content,
#contact-hero .hero-content {
    margin: var(--space-wide) var(--space-large);
}

#web-value .subimage,
#app-value .subimage,
#iot-value .subimage {
    background-repeat: no-repeat;
    background-position: center center;
    background-attachment: fixed;
    background-size: cover;
    background-image: url('/img/content/programming_code.jpg');
    align-content: end;
}

#aboutus-hero {
    background-image: url('/img/content/amigos.jpg');
}

#contact-hero {
    background-image: url('/img/content/contact.jpg');
}

#contact-faq .container h2 {
    color: var(--background);
}

#basic_faq .ui-accordion-header-collapsed span.right {
    color: var(--color-lightgray);
}

#basic_faq .ui-accordion-header-active span.right {
    color: var(--secondary);
    transform: rotate(90deg);
}

#btn_submitcontactform {
    margin-left: var(--space-small);
}

#solution1-value {
    background-color: var(--neutral);
}

#solution1-value p {
    color: var(--color-darkwhite);
}

#solution1-value .subimage {
    background-repeat: no-repeat;
    background-position: center center;
    background-attachment: fixed;
    background-size: cover;
    background-image: url('/img/content/solution1.jpg');
    align-content: end;
}

#aboutus-mission p,
#aboutus-philosophy p {
    font-size: larger;
}

#contact-form {
    background-color: var(--neutral);
}

#contact-map {
    min-height: 40vh;
    aspect-ratio: 1:1;
}


/* --------------------------------------- pages */



/* ======================================= footer ======================================= */

#main_footer {
    background-color: var(--color-lightblack);
    color: var(--color-darkwhite);
    font-weight: var(--weight-light);
    font-size: calc(var(--font-base) - var(--font-nano));
}

#main_footer a {
    color: var(--color-darkwhite);
    font-weight: var(--weight-base);
}

#main_footer a:hover {
    color: var(--color-white);
}

#main_footer .row-pad .col {
    padding: var(--space-base);
}

#footer-address strong {
    color: var(--color-darkwhite);
    font-size: calc(var(--font-large) - var(--font-small));
}

#footer-certs p,
#footer-certs a {
    font-size: calc(var(--font-base) - var(--font-tiny));
}

#main_footer a.siteup,
#main_footer a.joal {
    display: inline-block;
    background-size: 200% auto;
    background-position: 0% center;
    background-repeat: no-repeat;
    background-image: linear-gradient(90deg, transparent, transparent);
    color: inherit;
    transition: background-position 0.9s ease, color 0.6s ease;
}

#main_footer a.siteup:hover,
#main_footer a.joal:hover {
    background-position: 100% center;
    color: transparent;
    -webkit-text-fill-color: transparent;
    background-clip: text;
    -webkit-background-clip: text;
    font-weight: var(--weight-medium);
}

#main_footer a.siteup:hover {
    background-image: linear-gradient(90deg, #124F9A, #1B9D34);
}

#main_footer a.joal:hover {
    background-image: linear-gradient(90deg, #AA182C, #EA0029);
}